/*******************************************************************************
 * Copyright 2012, NetApp, Inc.  All rights reserved.                          *
 *                                                                             *
 * This file is confidential and a trade secret of NetApp, Inc                 *
 * Technologies. The receipt of, or possession of this file does not convey    *
 * any rights to reproduce or disclose its contents or to manufacture, use,    *
 * or sell anything it may describe, in whole, or in part, without the         *
 * specific written consent of NetApp, Inc.                                    *
 *******************************************************************************/

/*******************************************************
 * VERSION:        %version: 2 % 
 * UPDATE DATE:    %date_created:  Wed Aug 29 12:50:04 2012 %
 * 
 * CONTACTS: 
 * Originator:     Sivanesan Krishnan 
 * Updater:        %created_by:  sivanesk %  
 *******************************************************/

/**
 * Resolves the Host name and return the Host IP address
 */
function dnsResolve(hostname)
{
   try
   {
      return java.net.InetAddress.getByName(hostname).getHostAddress();
   }
   catch(e)
   {
      return null;
   }
}

/**
 * Returns the current Host IP address
 */
function myIpAddress()
{
   try
   {
      return java.net.InetAddress.getLocalHost().getHostAddress();
   }
   catch(e)
   {
      return "127.0.0.1";
   }
}
